Index: trunk/info/info/alkis/alkisinlaybaurecht.php
===================================================================
--- trunk/info/info/alkis/alkisinlaybaurecht.php	(revision 376)
+++ trunk/info/info/alkis/alkisinlaybaurecht.php	(revision 377)
@@ -2,9 +2,16 @@
 /*	alkisinlaybaurecht.php - Inlay fuer Template: Baurecht
 	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
-	Ähnlich alkisbaurecht, aber nur Basisdaten, kein Footer und keine Flurstücks-Verschneidung.
 
 	Version:
-	2016-02-24 Version fuer norGIS-ALKIS-Import
-	2016-11-29 HTML5, Gemeinsam genutzte Datenbanken ermöglichen
+	2011-07-26  debug
+	2011-11-28  import_request_variables
+	2011-12-14  function imFenster
+	2013-04-08  deprecated "import_request_variables" ersetzt
+	2013-06-27	hiervon neue Variante alkisbaurecht (ohne "inlay"), 
+			dafÃŒr hier die SchlÃŒssel ganz raus und FlurstÃŒcks-Verschneidung raus.
+	2014-09-03 PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-10 Bei Relationen den Timestamp abschneiden
+	2014-09-30 Umbenennung SchlÃŒsseltabellen (Prefix)
+	2015-12-09 Austausch .ico durch .png
 */
 session_start();
@@ -13,8 +20,12 @@
 if ($auth == "mapbender") {require_once($mapbender);}
 ?>
-<!doctype html>
-<html lang="de">
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
 <head>
-	<meta charset="utf-8">
+	<meta name="author" content="b600352" >
+	<meta http-equiv="cache-control" content="no-cache">
+	<meta http-equiv="pragma" content="no-cache">
+	<meta http-equiv="expires" content="0">
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 	<title>ALKIS Bau-, Raum- oder Bodenordnungsrecht</title>
 	<link rel="stylesheet" type="text/css" href="alkisauszug.css">
@@ -31,11 +42,11 @@
 
 <?php
-$con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisinlaybaurecht.php'");
+$con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
-// Keine Spalten, die eine Berechtigungsprüfung nach Gemeinde ermöglichen:
-$sql ="SELECT r.ogc_fid, r.name, r.stelle, r.bezeichnung AS rechtbez, a.v AS adfbez, d.bezeichnung AS stellbez, round(st_area(r.wkb_geometry)::numeric,0) AS flae 
+// wie View "baurecht"
+$sql ="SELECT r.ogc_fid, r.name, r.stelle, r.bezeichnung AS rechtbez, a.bezeichner  AS adfbez, d.bezeichnung AS stellbez, round(st_area(r.wkb_geometry)::numeric,0) AS flae 
 FROM ax_bauraumoderbodenordnungsrecht r 
-LEFT JOIN alkis_wertearten a ON cast(r.artderfestlegung AS character varying)=a.k AND a.element='ax_bauraumoderbodenordnungsrecht' AND a.bezeichnung='artderfestlegung'
+LEFT JOIN v_baurecht_adf a ON r.artderfestlegung=a.wert 
 LEFT JOIN ax_dienststelle d ON r.land=d.land AND r.stelle=d.stelle WHERE r.gml_id= $1 ;";
 
@@ -50,39 +61,48 @@
 echo "\n<h2><img src='ico/Gericht.png' width='16' height='16' alt=''> Bau-, Raum- oder Bodenordnungsrecht</h2>\n";
 
+// ToDo: ++++ Spalte anfÃŒgen, darin Link auf neue Variante alkisbaurecht.php
+
 if ($row = pg_fetch_array($res)) {
-	echo "\n<table>"
-		."\n<tr>"
-			."\n\t<td class='li'>Art der Festlegung:</td>\n\t<td>"
-			."<span class='wichtig'>".$row["adfbez"]."</span></td>"
-		."\n</tr>";
+	echo "\n<table>";
+
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Art der Festlegung:</td>\n\t<td>";
+			echo "<span class='wichtig'>".$row["adfbez"]."</span></td>";
+		echo "\n</tr>";
+
 		$enam=$row["name"];
 		if ($enam != "") {
-			echo "\n<tr>"
-				."\n\t<td class='li'>Eigenname des Gebietes:</td>\n\t<td>".$enam."</td>"
-			."\n</tr>";
+			echo "\n<tr>";
+				echo "\n\t<td class='li'>Eigenname des Gebietes:</td>\n\t<td>".$enam."</td>";
+			echo "\n</tr>";
 		}
-		echo "\n<tr>"
-			."\n\t<td class='li'>Verfahrensnummer:</td>\n\t<td>".$row["rechtbez"]."</td>"
-		."\n</tr>";
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Verfahrensnummer:</td>";
+			echo "\n\t<td>".$row["rechtbez"]."</td>";
+		echo "\n</tr>";
+
 		$stell=$row["stelle"];
 		if ($stell != "") {
-			echo "\n<tr>"
-				."\n\t<td class='li'>Dienststelle:</td>\n\t<td>".$row["stellbez"]."</td>"
-			."\n</tr>";
+			echo "\n<tr>";
+				echo "\n\t<td class='li'>Dienststelle:</td>\n\t<td>".$row["stellbez"];
+				echo "</td>";
+			echo "\n</tr>";
 		}
-		echo "\n<tr>"
-			."\n\t<td class='li'>Fl&auml;che:</td>";
+
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Fl&auml;che:</td>";
 			$flae=number_format($row["flae"],0,",",".")." m&#178;";
-			echo "\n\t<td>".$flae."</td>"
-		."\n</tr>"
-	."\n</table>";
+			echo "\n\t<td>".$flae."</td>";
+		echo "\n</tr>";
+
+	echo "\n</table>";
 } else {
 	echo "\n<p class='err'>Fehler! Kein Treffer bei gml_id=".$gmlid."</p>";
 }
 
-echo "\n<p class='nwlink'>"
-	."\n\t<a href='javascript:imFenster(\"alkisbaurecht.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
-	."' title='Bau-, Raum- oder Bodenordnungsrecht'>Weitere Auskunft <img src='ico/Gericht.png' width='16' height='16' alt=''></a>"
-."\n</p>";
+echo "\n<p class='nwlink'>";
+	echo "\n\t<a href='javascript:imFenster(\"alkisbaurecht.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' ";
+	echo "' title='Bau-, Raum- oder Bodenordnungsrecht'>Weitere Auskunft <img src='ico/Gericht.png' width='16' height='16' alt=''></a>";
+echo "\n</p>";
 
 ?>
